Add User to Team

View as Markdown

Invites a user (specified using the email_address parameter) to your Team. If the user does not currently have a Dropbox Sign Account, a new one will be created for them. If a user is already a part of another Team, a team_invite_failed error will be returned.

Authentication

AuthorizationBasic

Your API key can be used to make calls to the Dropbox Sign API. See Authentication for more information. ✅ Supported by Try it console (calls sent in test_mode only).

OR
AuthorizationBearer
You can use an Access Token issued through an OAuth flow to send calls to the Dropbox Sign API from your app. The access scopes required by this endpoint are listed in the gray box above. See [Authentication](/api/reference/authentication) for more information. ❌ **Not supported** by Try it console.

Query parameters

team_idstringOptional
The id of the team.

Request

This endpoint expects an object.
account_idstringOptional

account_id or email_address is required. If both are provided, the account id prevails.

Account id of the user to invite to your Team.

email_addressstringOptionalformat: "email"

account_id or email_address is required, If both are provided, the account id prevails.

Email address of the user to invite to your Team.

roleenumOptional

A role member will take in a new Team.

NOTE: This parameter is used only if team_id is provided.

Response headers

X-RateLimit-Limitinteger
The maximum number of requests per hour that you can make.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-Ratelimit-Resetinteger
The Unix time at which the rate limit will reset to its maximum.

Response

successful operation
teamobject
Contains information about your team and its members
warningslist of objects
A list of warnings.

Errors

4XX
Client Request Error